Usuarios
Obtener usuarios
GET /v1/users
Permite la posibilidad de obtener el listado de usuarios. Disponible con credenciales CUSTOMER.
| Parámetros | Descripción |
|---|---|
page
|
|
size
|
|
email
|
|
merchantId
|
|
customerId
|
|
userType
|
|
next
|
|
limit
|
|
curl --location --request GET 'https://api.menta.global/api/v1/users?page=0&size=10' \
--header 'Authorization: Bearer {access_token}' {
"users": [
{
"attributes": {
"id": "string",
"name": "string",
"username": "string",
"description": "string",
"email": "string",
"customer_id": "array",
"merchant_id": "array",
"country": "string",
"type": "string",
"scope": "string"
},
"status": "CONFIRMED",
"enabled": boolean,
"audit": {
"creation_date": "2019-02-05T21:03:54.499+0000",
"update_date": "2019-02-05T21:03:54.499+0000"
}
}
],
"_metadata": {
"_size": 0,
"_total_elements": 0,
"_total_pages": 0,
"_number": 0,
"_next": "string",
"_limit": 0
}
}username y description se incluyen solo si están definidos. En _metadata, _next es el número de la página siguiente como texto (se omite si no hay) y _limit es el tamaño de página.